---
lang: en
title: 'API docs: context.binding.configure'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.binding.configure.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [configure](./context.binding.configure.md)

## Binding.configure() method

Create a configuration binding for the given key

**Signature:**

```typescript
static configure<V = unknown>(key: BindingAddress): Binding<V>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | [BindingAddress](./context.bindingaddress.md) | Key for the binding to be configured |

**Returns:**

[Binding](./context.binding.md)<!-- -->&lt;V&gt;

## Example


```ts
const configBinding = Binding.configure('servers.RestServer.server1')
  .to({port: 3000});
```


